export interface BaseEqualMaterialInfoVO {
  /**
   * 主键标识
   */
  equalMaterialInfoId: string | number;

  /**
   * 租户编号
   */
  tenantId: string | number;

  /**
   * 物料ID
   */
  materialId: string | number;

  /**
   * 等同物料ID
   */
  equalMaterialId: string | number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 创建部门
   */
  createDept: number;

  /**
   * 创建人
   */
  createBy: number;

  /**
   * 创建时间
   */
  createTime: string;

  /**
   * 更新人
   */
  updateBy: number;

  /**
   * 更新时间
   */
  updateTime: string;

}

export interface BaseEqualMaterialInfoForm extends BaseEntity {
  /**
   * 主键标识
   */
  equalMaterialInfoId?: string | number;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 等同物料ID
   */
  equalMaterialId?: string | number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface BaseEqualMaterialInfoQuery extends PageQuery {

  /**
   * 主键标识
   */
  equalMaterialInfoId?: string | number;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 等同物料ID
   */
  equalMaterialId?: string | number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



